/* Highcharts graph */

/* PROBLEM WITH RESPONSIVE
html, body{height: 100% !important;}
*/

/* default graphic styles */
.highcharts-graph {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 410px; /* default width, override for other sizes */
  height: 400px; /* default height, override for other sizes */
  padding-top: 60px;
  background-color: #fff;
}

.highcharts-graph.controls-disabled {
  padding-top: 0;
}

/* Hover styles */
.highcharts-graph .highcharts-container.hover {
  cursor: all-scroll !important;
  cursor: -moz-grab !important;
  cursor: -webkit-grab !important;
}

.highcharts-graph .highcharts-container.dragging {
  cursor: -moz-grabbing !important;
  cursor: -webkit-grabbing !important;
}

/* Controls placeholder */
.highcharts-graph .controls-placeholder {
  height: 24px;
  padding: 18px 14px 18px 59px;
  overflow: hidden;
  margin-top: -60px !important;
}

/* Date selector */
.highcharts-graph .date-select-container {
  float: left;
}

.highcharts-graph .date-select-container select {
  width: 140px;
}

.highcharts-graph .date-select-container select > option[disabled] {
  text-decoration: line-through;
  color: #aaa;
}

/* Range slider */
.highcharts-graph .range-slider-container {
  float: right;
  overflow: hidden;
  width: 180px;
  margin-right: 5px;
}

.highcharts-graph .range-slider-container .handle {
  width: 14px;
  height: 14px;
  border-radius: 50%;
  border: 2px solid #dedede;
  top: -7px;
  -webkit-box-shadow: 0 1px 2px #bbb;
  box-shadow: 0 1px 2px #bbb;
  background-color: #fff;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f2f2f2));
  background-image: -webkit-linear-gradient(top, #fff, #f2f2f2);
  background-image: -moz-linear-gradient(top, #fff, #f2f2f2);
  background-image: -o-linear-gradient(top, #fff, #f2f2f2);
  background-image: linear-gradient(to bottom, #fff, #f2f2f2);
  cursor: pointer;
}

.highcharts-graph .range-slider-container .handle.disabled {
  background-image: none;
  border: 2px solid #eee;
}

.highcharts-graph .range-slider-container .track {
  float: right;
  margin-top: 7px !important; /* Sorry for this, buto I am not going to overclass div#content div div, which sets the margin on 0 */
  width: 140px;
  height: 3px;
  background-color: #ddd;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#d2d2d2), to(#ddd));
  background-image: -webkit-linear-gradient(top, #d2d2d2, #ddd);
  background-image: -moz-linear-gradient(top, #d2d2d2, #ddd);
  background-image: -o-linear-gradient(top, #d2d2d2, #ddd);
  background-image: linear-gradient(to bottom, #d2d2d2, #ddd);
  border-radius: 2px;
  border: 1px solid #bbb;
}

.highcharts-graph .range-slider-container .track.disabled {
  background-image: none;
  background-color: #eee;
  border: 1px solid #eee;
}

.highcharts-graph .range-slider-container .slider-icon {
  display: inline-block;
  margin-left: 5px !important;
  margin-top: -2px;
  float: left;
  width: 24px;
  height: 24px;
  background: transparent url('/images/measurements/zoom.png') no-repeat scroll 0 0;
  overflow: hidden;
  text-indent: 100%;
  line-height: 24px;
}




/* END default graphich styles */
